FROM eclipse-temurin:21-jre

COPY ./target/*.jar /app.jar

ENV TZ=Asia/Shanghai JAVA_OPTS="-Xms512m -Xmx512m -DNACOS_CONFIG_SERVER=172.22.222.111:8848 -DDEPLOY_ENV=zoe-dev -DNACOS_USER=nacos -DNACOS_PWD=Qichen5210523..."

EXPOSE 48087

## 启动后端项目
CMD java ${JAVA_OPTS} -Djava.security.egd=file:/dev/./urandom -jar app.jar


# docker -H tcp://172.22.222.100:2375 build -t zoe-system:1.0.0 .

# docker -H tcp://172.22.222.100:2375 run -d -p 48081:48081 --name=zoe-system --network=trim-default zoe-system:1.0.0